Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.databind.jsontype.impl
Class TypeIdResolverBase

    java.lang.Object
      com.fasterxml.jackson.databind.jsontype.impl.TypeIdResolverBase

All Implemented Interfaces:
  TypeIdResolver

Direct Known Subclasses:
  ClassNameIdResolver, TypeNameIdResolver

    public abstract class TypeIdResolverBase

extends Object
implements TypeIdResolver

Field Summary
`protected JavaType` | `_baseType` Common base type for all polymorphic instances handled.
`protected TypeFactory` | `_typeFactory`

Constructor Summary
`protected` | `TypeIdResolverBase(JavaType baseType, TypeFactory typeFactory)`

Method Summary
`String` | `idFromBaseType()` Method that can be called to figure out type id to use for instances of base type (declared type of property).
`void` | `init(JavaType bt)` Method that will be called once before any type resolution calls; used to initialize instance with configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.fasterxml.jackson.databind.jsontype.TypeIdResolver
`getMechanism, idFromValue, idFromValueAndType, typeFromId`

Field Detail

### _typeFactory

    protected final TypeFactory _typeFactory

### _baseType

    protected final JavaType _baseType

  Common base type for all polymorphic instances handled.

Constructor Detail

### TypeIdResolverBase

    protected TypeIdResolverBase(JavaType baseType,
                                 TypeFactory typeFactory)

Method Detail

### init

    public void init(JavaType bt)

  Description copied from interface: `TypeIdResolver`
  Method that will be called once before any type resolution calls; used to initialize instance with configuration. This is necessary since instances may be created via reflection, without ability to call specific constructor to pass in configuration settings.

  Specified by:
    `init` in interface `TypeIdResolver`
  Parameters:
    `bt` - Base type for which this id resolver instance is used

### idFromBaseType

    public String idFromBaseType()

  Description copied from interface: `TypeIdResolver`
  Method that can be called to figure out type id to use for instances of base type (declared type of property). This is usually only used for fallback handling, for cases where real type information is not available for some reason.

  Specified by:
    `idFromBaseType` in interface `TypeIdResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 fasterxml.com. All Rights Reserved.